Register a new OAuth client

Dynamic Client Registration endpoint (RFC 7591). Allows clients to register
themselves and obtain a client_id for use in the authorization code flow.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Human-readable name of the client.

redirect_uris
array of uris
required

Array of allowed redirect URIs.

redirect_uris*
grant_types
array of objects

Grant types the client intends to use.

grant_types
Allowed:
response_types
array of objects

Response types the client intends to use.

response_types
Allowed:
string
enum

Defaults to none if not specified. Only public clients are supported.

Allowed:
string

Space-separated list of scopes the client is requesting.

uri

URL of the client's home page.

uri

URL of the client's logo image.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json